C     Copyright (c) 2002, NAKANO Takeo All rights reserved.
C
C     Redistribution and use in source and binary forms, with or without
C     modification, are permitted provided that the following conditions
C     are met:
C
C     Redistributions of source code must retain the above copyright
C     notice, this list of conditions and the following disclaimer.
C
C     Redistributions in binary form must reproduce the above copyright
C     notice, this list of conditions and the following disclaimer in
C     the documentation and/or other materials provided with the
C     distribution.
C
C     Neither the name of the Seikei University nor the names of its
C     contributors may be used to endorse or promote products derived
C     from this software without specific prior written permission.
C
C     THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND
C     CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
C     INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
C     MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
C     DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
C     BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
C     EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
C     TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
C     DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
C     ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
C     TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
C     THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
C     SUCH DAMAGE.
C
      program sfom1
C
C     sample program of fom, ver.1
C
C     multilayer & fstruct are overwritten
C
      integer NX, NXMAX
      parameter (NXMAX = 20)
      real*8 X(NXMAX)

      real*8 fval, fom
      external fom

      call pfom
      NX = 1
      X(1) = 1.0D0

      fval = fom(X, NX)
      write(6,*) fval

      stop
      end

      subroutine fstruc(X, NX, nl, ri, d)
C
C     dummy function.
C
      integer NX, nl
      real*8 X(NX)
      real*8 ri(nl), d(nl)

      return
      end

      subroutine multilayer(ri, d, wl, nl, rint, tint)
C
C     dummy subroutine
C
      integer nl
      real*8 ri(nl), d(nl), wl, rint, tint

      rint = 0.6D0
      tint = 0.6D0

      return
      end
